CREATE TABLE mot_terr_rule_bndry_vals_ (
    TERR_RULE_BNDRY_VALUE_ID     NUMBER(18, 0) ,
    TERR_ACCT_DIM_INTG_ID        NUMBER(18, 0) ,
    TERR_PRTNR_DIM_INTG_ID       NUMBER(18, 0) ,
    TERR_RULE_BOUNDARY_ID        NUMBER(18, 0) ,
    TERR_DIMENSION_CODE          VARCHAR2(20)  ,
    TERR_DIM_INTG_ID             VARCHAR2(320) ,
    TERR_DIM_HIGH_INTG_ID        VARCHAR2(320) ,
    INCLUDE_HIERARCHY_FLAG       VARCHAR2(4)   ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONFLICT_ID                  NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    TERR_GEO_DIM_INTG_ID         NUMBER(18, 0) ,
    TERR_GEO_DIM_HIGH_INTG_ID    NUMBER(18, 0) ,
    ADDRESS_COUNTRY              VARCHAR2(8)   ,
    ADDRESS_STATE                VARCHAR2(240) ,
    ADDRESS_PROVINCE             VARCHAR2(240) ,
    ADDRESS_COUNTY               VARCHAR2(240) ,
    ADDRESS_CITY                 VARCHAR2(240) ,
    ADDRESS_POSTAL_CODE          VARCHAR2(240) ,
    ADDRESS_HIGH_POSTAL_CODE     VARCHAR2(240) ,
    ADDR_ELEMENT_ATTRIBUTE1      VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2      VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3      VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4      VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5      VARCHAR2(600) ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    TERR_RULE_BNDRY_VALUE_ID     NUMBER(18, 0) ,
    TERR_ACCT_DIM_INTG_ID        NUMBER(18, 0) ,
    TERR_PRTNR_DIM_INTG_ID       NUMBER(18, 0) ,
    TERR_RULE_BOUNDARY_ID        NUMBER(18, 0) ,
    TERR_DIMENSION_CODE          VARCHAR2(20)  ,
    TERR_DIM_INTG_ID             VARCHAR2(320) ,
    TERR_DIM_HIGH_INTG_ID        VARCHAR2(320) ,
    INCLUDE_HIERARCHY_FLAG       VARCHAR2(4)   ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONFLICT_ID                  NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    TERR_GEO_DIM_INTG_ID         NUMBER(18, 0) ,
    TERR_GEO_DIM_HIGH_INTG_ID    NUMBER(18, 0) ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    ADDRESS_COUNTRY              VARCHAR2(8)   ,
    ADDRESS_STATE                VARCHAR2(240) ,
    ADDRESS_PROVINCE             VARCHAR2(240) ,
    ADDRESS_COUNTY               VARCHAR2(240) ,
    ADDRESS_CITY                 VARCHAR2(240) ,
    ADDRESS_POSTAL_CODE          VARCHAR2(240) ,
    ADDRESS_HIGH_POSTAL_CODE     VARCHAR2(240) ,
    ADDR_ELEMENT_ATTRIBUTE1      VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2      VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3      VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4      VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5      VARCHAR2(600) ,
    CONSTRAINT pk_mot_terr_rule_bndry_vals_ PRIMARY KEY (TERR_RULE_BNDRY_VALUE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, TERR_RULE_BNDRY_VALUE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
